Ubuntu

Can't disable touchpad

Reported by Stefan Ebner on 2011-06-11
66
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Xserver Xorg Input Synaptics
Won't Fix
Low
xserver-xorg-input-synaptics (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: xserver-xorg-input-synaptics

My laptop doesn't have an extra button for disabling/enabling the touchpad.
On the top left corner of the touchpad there is an small area (marked with a white dot) where you have to tap 2 times to disable/enable it. If disabled it shows a orange light.

This doesn't work under ubuntu, also not under oneiric with all updates installed.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: xserver-xorg-input-synaptics 1.3.99+git20110116.0e27ce3a-0ubuntu15
ProcVersionSignature: Ubuntu 2.6.39-3.10-generic 2.6.39
Uname: Linux 2.6.39-3-generic i686
NonfreeKernelModules: wl
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1366x768
 edid-base64: AP///////wBMo1E2AAAAAAASAQOAIhN4Cof1lFdPjCcnUFQAAAABAQEBAQEBAQEBAQEBAQEBEhtWclAADDAwICUAWMIQAAAZAAAADwAAAAAAAAAAAB60AnQAAAAA/gBTQU1TVU5HCiAgICAgAAAA/gAxNTZBVDA1LUgwMQogABU=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card1.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card1.LVDS.2:
 status: connected
 enabled: disabled
 dpms: On
 modes: 1366x768 1280x720 1152x768 1024x768 800x600 848x480 720x480 640x480
 edid-base64:
DRM.card1.VGA.2:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
Date: Sat Jun 11 14:52:23 2011
DistUpgraded: Log time: 2011-06-04 16:54:22.107183
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 5.100.82.38+bdcom, 2.6.39-3-generic, i686: installed
 bcmwl, 5.100.82.38+bdcom, 2.6.38-8-generic, i686: installed
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:163c]
 ATI Technologies Inc Madison [AMD Radeon HD 5000M Series] [1002:68c1] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:163c]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
MachineType: Hewlett-Packard HP Pavilion dv6 Notebook PC
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.39-3-generic root=UUID=AA18AE5218AE1CF7 loop=/hostname/disks/root.disk ro single
Renderer: Unknown
SourcePackage: xserver-xorg-input-synaptics
UpgradeStatus: Upgraded to oneiric on 2011-06-04 (6 days ago)
dmi.bios.date: 10/21/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.23
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 163C
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 65.35
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.23:bd10/21/2010:svnHewlett-Packard:pnHPPaviliondv6NotebookPC:pvr0580120015243D10010020100:rvnHewlett-Packard:rn163C:rvr65.35:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv6 Notebook PC
dmi.product.version: 0580120015243D10010020100
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.4+bzr20110606-0ubuntu3
version.libdrm2: libdrm2 2.4.25-2ubuntu2
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.0-3ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Stefan Ebner (sebner) wrote :
Download full text (3.2 KiB)

Forwarding this bug from Ubuntu reporter Stefan Ebner:
  https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/795920

[Problem]
The touchpad surface includes a hot area to enable/disable it, but it does not work in linux. Perhaps support needs added for it?

[Original Description]
My laptop doesn't have an extra button for disabling/enabling the touchpad.
On the top left corner of the touchpad there is an small area (marked with a white dot) where you have to tap 2 times to disable/enable it. If disabled it shows a orange light.

This doesn't work under ubuntu, also not under oneiric with all updates installed.

[ 9.615958] Synaptics Touchpad, model: 1, fw: 7.4, id: 0x1e0b1, caps: 0xd04773/0xe40000/0x5a0400
[ 9.705035] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input10

DistroRelease: Ubuntu 11.10
Package: xserver-xorg-input-synaptics 1.3.99+git20110116.0e27ce3a-0ubuntu15
ProcVersionSignature: Ubuntu 2.6.39-3.10-generic 2.6.39
Uname: Linux 2.6.39-3-generic i686
NonfreeKernelModules: wl
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Sat Jun 11 14:52:23 2011
DistUpgraded: Log time: 2011-06-04 16:54:22.107183
DistroCodename: oneiric
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:163c]
 ATI Technologies Inc Madison [AMD Radeon HD 5000M Series] [1002:68c1] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:163c]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
MachineType: Hewlett-Packard HP Pavilion dv6 Notebook PC
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.39-3-generic root=UUID=AA18AE5218AE1CF7 loop=/hostname/disks/root.disk ro single
Renderer: Unknown
SourcePackage: xserver-xorg-input-synaptics
UpgradeStatus: Upgraded to oneiric on 2011-06-04 (6 days ago)
dmi.bios.date: 10/21/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.23
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 163C
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 65.35
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.23:bd10/21/2010:svnHewlett-Packard:pnHPPaviliondv6NotebookPC:pvr0580120015243D10010020100:rvnHewlett-Packard:rn163C:rvr65.35:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv6 Notebook PC
dmi.product.version: 0580120015243D10010020100
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.4+bzr20110606-0ubuntu3
version.libdrm2: libdrm2 2.4.25-2ubuntu2
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.0-3ubuntu1
version.xserver...

Read more...

Created attachment 48874
BootDmesg.txt

Created attachment 48875
CurrentDmesg.txt

Created attachment 48876
peripherals.txt

Created attachment 48877
xinput.txt

Created attachment 48878
XorgLog.txt

AFAIK, this is part of the clickpad series of touchpads for which we don't have upstream support yet. Patches circulated on the list a while ago, but they need finishing

Bryce Harrington (bryce) wrote :

Stefan Ebner - I've forwarded this bug upstream to http://bugs.freedesktop.org/show_bug.cgi?id=39055 - please subscribe yourself to this bug, in case they need further information or wish you to test something. Thanks ahead of time!

I suspect that the special area just hasn't gotten support added in -synaptics, which would be why it isn't working.

Changed in xserver-xorg-input-synaptics (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in xserver-xorg-input-synaptics:
importance: Unknown → Medium
status: Unknown → Confirmed
Stefan Ebner (sebner) wrote :

Thanks for your help!
I'll keep track there :)

Bryce Harrington (bryce) wrote :

Hey sebner,

Hi, thanks for reporting this issue during the development period of
Ubuntu.

I notice there's not been further comments to the bug report since the
release came out, would you mind updating us on the status of it in the
release?

Are you still able to reproduce the issue? If not, do you think the bug
report can be closed, or do you think we should continue tracking it?

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Triaged → Incomplete
Stefan Ebner (sebner) wrote :

Unfortunately this bug is still present in precise which is not that surprising though. As someone pointed out in the upstream bug, there are patches floating around but it seems nothing got into any release yet. As I'm quite short on time atm I can't really look for these patches and try to make a test package myself :\

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → Triaged

Well, it _does_ work with OpenSuse 11.4. So why can't you implement the same patch, that is used in OpenSuse 11.4?

Changed in xserver-xorg-input-synaptics:
importance: Medium → Low

Time. Please feel free to grab those patches and upstream them to the list. The last set of patches I've seen was not ready.

http://wiki.x.org/wiki/Development/Documentation/SubmittingPatches

*** Bug 42867 has been marked as a duplicate of this bug. ***

Changed in xserver-xorg-input-synaptics:
importance: Low → Wishlist

I'm pretty sure the suse support for this depends on an LED being available in the touchpad. I have been maintaining this support on Arch Linux. Does anyone have a touchpad with a disable area _without_ an led?

Would a patch be less likely to be accepted if it doesn't separate the LED support from the disable support?

(In reply to comment #10)
> Would a patch be less likely to be accepted if it doesn't separate the LED
> support from the disable support?

yes. I don't want crazy in-driver functionality for touchpads that don't need it. There should be discovery of that feature and it should only be exposed when the LED is available.

note that we'll likely need to query the LED state as well to avoid getting the touchpad into an inconsistent state (disabled, when it's actually enabled etc.)

looking through linux/input.h, we should send KEY_TOUCHPAD_ON/OFF when that button is pressed. The clients can then decide what to do, rather than having this behaviour enforced in the driver.

I add links to two related bugs in the debian BTS:
- debian bug 609903 (HP G62 laptop): LED indicator in the upper left corner of the touchpad itself.
- debian bug 683762 (HP Folio 13-2000 laptop): LED indicator between the touchpad and the keyboad.

Apart from that I thought it might be a good idea to add links to the unfinished patch sent upstream by Takashi Iwai a while ago (review by Peter Hutterer):
- http://article.gmane.org/gmane.comp.freedesktop.xorg.devel/13437 (patch)
- http://article.gmane.org/gmane.comp.freedesktop.xorg.devel/13607 (review)

I'm affected by this bug on the HP Folio 13-2000 laptop. I'd be glad to provide more information and/or test revised patches.

I created bug #42867 which is now marked as a duplicate of this bug. I am glad to see some more movement on this. My laptop (HP Pavilion G6) as a tiny LED above the mouse pad as well. It is between the mouse pad and the keyboard.

Neither work in all versions of Fedora I have tested it on (Fedora 16 & 17).

The mouse pad works as expected, you just can't turn it on or off via the hot spot button at the top left corner of the mouse pad.

The version of the synaptics driver I currently have installed is:

xorg-x11-drv-synaptics-1.6.2-2.fc17.x86_64

Also, below is the hardware information I posted in the original bug I created in case it helps.

Hardware info:
My laptop is an HP Pavilion G6 (G6-1B50US).
AMD Phenom(tm) II P650 Dual-Core Processor
4GB Ram

[ DMIDECODE INFO ]
Handle 0x0001, DMI type 1, 27 bytes
System Information
 Manufacturer: Hewlett-Packard
 Product Name: HP Pavilion g6 Notebook PC
 Version: 0593110000204610000620100
 Serial Number: 5CG1221MYF
 UUID: 579C58E8-B265-06E7-3163-8DDE56E7D88D
 Wake-up Type: Power Switch
 SKU Number: QF761UA#ABA
 Family: 103C_5335KV G=N L=CON B=HP S=PAV

Handle 0x000C, DMI type 21, 7 bytes
Built-in Pointing Device
 Type: Touch Pad
 Interface: PS/2
 Buttons: 4

I'm affected by this bug on HP Pavilion G6-2137SR, hope it will be fixed soon.

londumas (helion331990) wrote :

It affects me on a HP Pavilion g6-2135.
I have a hot place (a small hole on the top left corner of the pad) and a LED at its left.

we currently have no plans of fixing this, sorry.

Changed in xserver-xorg-input-synaptics:
importance: Wishlist → Low
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.